package hello.ejb;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/** 
 *  Representa a interface vista pelo cliente remoto.
 *  Interface que contm os mtodos que podem ser chamados
 *  remotamente 
 */
public interface Hello extends EJBObject {

	 /**
	  * Recupera a mensagem atual.
	  * @return Mensagem atual.
	  */
    public String getMensagem() throws RemoteException;

	 /**
	  * Substitui mensagem atual com nova mensagem.
	  * @param mensagem Texto contendo a mensagem nova.
	  */
    public void setMensagem(String mensagem) throws RemoteException;
}
